#include<stdio.h>
#include<math.h>
    int main()
    {
        int marks,index;
        printf("Enter the Marks: ");
        scanf("%d", &marks);
        
        index = marks/5;

        switch(index)
        {
            case 20:
            case 19:
            case 18:
            case 17:
            case 16:
                printf("Your Letter Grade is A+\n");
                printf("Your Grade point is 4.00");
                break;
            case 15:
                printf("Your Letter Grade is A\n");
                printf("Your Grade point is 3.75");
                break;
            case 14:
                printf("Your Letter Grade is A-\n");
                printf("Your Grade point is 3.50");
                break;
            case 13:
                printf("Your Letter Grade is B+\n");
                printf("Your Grade point is 3.25");
                break;
            case 12:
                printf("Your Letter Grade is B\n");
                printf("Your Grade point is 3.00");
                break;
            case 11:
                printf("Your Letter Grade is B-\n");
                printf("Your Grade point is 2.75");
                break;
            case 10:
                printf("Your Letter Grade is C+\n");
                printf("Your Grade point is 2.50");
                break;
            case 9:
                printf("Your Letter Grade is C\n");
                printf("Your Grade point is 2.25");
                break;
            case 8:
                printf("Your Letter Grade is D\n");
                printf("Your Grade point is 2.00");
                break;
            default:
                printf("Your Letter Grade is F\n");
                printf("Your Grade point is 0.00");
        }
    }
